#ifndef MIDICODES_H
#define MIDICODES_H



#define MIDI_STANDARD
//#define MIDI_VOLCA

#ifdef MIDI_STANDARD

#define DRUM_CHAN 10 
#define D_BASS 36 
#define D_SNARE 38
#define D_TOM1 41
#define D_TOM2 48
#define D_TOM2 48

#endif

#ifdef MIDI_VOLCA

#define DRUM_CHAN 1 
#define D_BASS  36  // AKA Kick
#define D_SNARE 38
#define D_TOM1  43
#define D_TOM2  50
#define D_CL_HAT 42
#define D_OP_HAT 46
#define D_CLAP  39
#define D_CLAVES 75
#define D_AGOGO 67
#define D_CRASH 49

#endif

// Midi notes for convenience
#define C1 36
#define E1 40
#define C2 48
#define E2 52
#define C3 60
#define E3 64
#define C4 72
#define E4 76
#define C5 84
#define C6 96

#define OCTAVE 12

// MIDI Control Changes
#define MIDI_VOL 0x07
#define MIDI_BAL 0x08
#define MIDI_PAN 0x0A
#define MIDI_ALL_OFF 0xFC

// MIDI Standard instrument names
const char * const instName[] = {
"1  Acoustic Grand Piano",
"2  Bright Acoustic Piano",
"3  Electric Grand Piano",
"4  Honky-tonk Piano",
"5  Electric Piano 1",
"6  Electric Piano 2",
"7  Harpsichord",
"8  Clavi",
"9  Celesta",
"10 Glockenspiel",
"11 Music Box",
"12 Vibraphone",
"13 Marimba",
"14 Xylophone",
"15 Tubular Bells",
"16 Dulcimer",
"17 Drawbar Organ",
"18 Percussive Organ",
"19 Rock Organ",
"20 Church Organ",
"21 Reed Organ",
"22 Accordion",
"23 Harmonica",
"24 Tango Accordion",
"25 Acoustic Guitar Nylon",
"26 Acoustic Guitar steel",
"27 Electric Guitar jazz",
"28 Electric Guitarclean",
"29 Electric Guitarmuted",
"30 Overdriven Guitar",
"31 Distortion Guitar",
"32 Guitar Harmonics",
"33 Acoustic Bass",
"34 Electric Bass fin",
"35 Electric Bass pic",
"36 Fretless Bass",
"37 Slap Bass 1",
"38 Slap Bass 2",
"39 Synth Bass 1",
"40 Synth Bass 2",
"41 Violin",
"42 Viola",
"43 Cello",
"44 Contrabass",
"45 Tremolo Strings",
"46 Pizzicato Strings",
"47 Orchestral Harp",
"48 Timpani",
"49 String Ensemble 1",
"50 String Ensemble 2",
"51 Synth Strings 1",
"52 Synth Strings 2",
"53 Choir Aahs",
"54 Voice Oohs",
"55 Synth Voice",
"56 Orchestra Hit",
"57 Trumpet",
"58 Trombone",
"59 Tuba",
"60 Muted Trumpet",
"61 French Horn",
"62 Brass Section",
"63 Synth Brass 1",
"64 Synth Brass 2",
"65 Soprano Sax",
"66 Alto Sax",
"67 Tenor Sax",
"68 Baritone Sax",
"69 Oboe",
"70 English Horn",
"71 Bassoon",
"72 Clarinet",
"73 Piccolo",
"74 Flute",
"75 Recorder",
"76 Pan Flute",
"77 Blown Bottle",
"78 Shakuhachi",
"79 Whistle",
"80 Ocarina",
"81 Square Lead",
"82 Saw Lead",
"83 Calliope Lead",
"84 Chiff Lead",
"85 Charang Lead",
"86 Voice Lead",
"87 Fifths Lead",
"88 Bass + Lead",
"89 New Age (Pad 1)",
"90 Warm Pad (Pad 2)",
"91 Polysynth (Pad 3)",
"92 Choir (Pad 4)",
"93 Bowed (Pad 5)",
"94 Metallic (Pad 6)",
"95 Halo (Pad 7)",
"96 Sweep (Pad 8)",
"97 Rain (FX 1)",
"98 Sound Track (FX 2)",
"99 Crystal (FX 3)",
"100 Atmosphere (FX 4)",
"101 Brightness (FX 5)",
"102 Goblins (FX 6)",
"103 Echoes (FX 7)",
"104 Sci-fi (FX 8)",
"105 Sitar",
"106 Banjo",
"107 Shamisen",
"108 Koto",
"109 Kalimba",
"110 Bag Pipe",
"111 Fiddle",
"112 Shanai",
"113 Tinkle Bell",
"114 Agogo",
"115 Pitched Percussion",
"116 Woodblock",
"117 Taiko Drum",
"118 Melodic Tom",
"119 Synth Drum",
"120 Reverse Cymbal",
"121 Guitar Fret Noise",
"122 Breath Noise",
"123 Seashore",
"124 Bird Tweet",
"125 Telephone Ring",
"126 Helicopter",
"127 Applause",
"128 Gunshot"
};

#endif

